<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld"   prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld"   prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld"  prefix="logic" %>
<%@ taglib uri="/WEB-INF/slide-struts.tld"  prefix="slide" %>

<html:html locale='true'>

    <head>
      <title><bean:message key="app.title"/></title>
      <link rel='stylesheet' type='text/css' href='<html:rewrite page="/style.css"/>'>
      <html:base/>
    </head>
    
    <body bgcolor='#ffffff' marginwidth='0' marginheight='0'>
      <table border='0' cellpadding='10' cellspacing='0' width='100%' height='100%'>
        <tr>
          <td class='panel' align='right' colspan='2' width='100%'>
            <h1 class='headline1'><font color='#ffffff' size='3'><bean:message key="app.title"/></font></h1>
          </td>
        </tr>
        <tr>
          <td class='panel' align='center' bgcolor='#023264' height='100%'>
            <hr>
            <table border='0' cellpadding='0' cellspacing='0' class='panelMenu'>
              <tr>
                <td align='left' valign='middle' class='panelMenuItem'>
                  <html:link page='/index.jsp'><bean:message key="home.title"/></html:link>
                </td>
              </tr>
              <tr>
                <td align='left' valign='middle' class='panelMenuItem'>
                  <html:link page='/slide-doc/'><bean:message key="doc.title"/></html:link>
                </td>
              </tr>
              <tr>
                <td align='left' valign='middle' class='panelMenuItem'>
                  <html:link page='/tomcat-doc/'><bean:message key="tomcatdoc.title"/></html:link>
                </td>
              </tr>
              <tr>
                <td align='left' valign='middle' class='panelMenuItem'>
                  <html:link page='/tomcat-manager'><bean:message key="manage.title"/></html:link>
                </td>
              </tr>
            </table>
            <hr>
            <br>
            <br>
          </td>
          <td class='content' align='left' valign='top' width='100%' height='100%'>
            <br>
            <span class='contentText'>
              <bean:message key="app.welcome"/>
            </span>

            <hr>

            <ul>
              <li><bean:message key="manager-conf.text"/></li>
              <li><bean:message key="slide-conf.text"/></li>
            </ul>

            <hr>
            <bean:message key="domain.text"/>
            <hr>

            <slide:domain id="domain">

               <bean:message key="defaultnamespace.text"/> <bean:write name="domain" property="defaultNamespaceName" filter="true"/>
            
               <logic:iterate id="name" name="domain" property="namespaceNames">
                  <hr>
                  <bean:message key="namespace.label"/><bean:write name="name" filter="true"/>
                  <ul>
                     <li><a href='<bean:write name="name" filter="true"/>'><bean:message key="browse.label"/></a> <bean:message key="view.text"/><bean:write name="name" filter="true"/></li>
                     <li><bean:message key="edit.text"/><bean:write name="name" filter="true"/></li>
                     <li><bean:message key="admin.text"/><bean:write name="name" filter="true"/></li>
                  </ul>
                  <hr>
                  
               </logic:iterate>
            </slide:domain>

          </td>
        </tr>
      </table>
    </body>
    
</html:html>
